Skip to main content

OntologyAction

Shared request and response schema. Request: Ontology write action accepted when configuring a reaction, including its target and field mappings. Response: Ontology write action returned for a reaction, including its target and field mappings.

on_failure object

Compensating action, run when this action raises. 1-depth only.

anyOf
kindrequired

Possible values: [function, notification, ontology]

on_failure object

Compensating action, run when this action raises. 1-depth only.

anyOf
kind

Possible values: [function, notification, ontology]

languageLanguage (string)required
Constant value: python
codeCode (string)required

Python function body executed by this action.

params object

Bound parameters passed to the function

property name*any

Bound parameters passed to the function

kindKind (string)required
Constant value: ontology
target_idTarget Id (string)required

EntityType.id or RelationType.id

opOp (string)required

Possible values: [upsert, delete]

values objectrequired

Row values for upsert / delete key

property name*any

Row values for upsert / delete key

OntologyAction
{
"kind": "ontology",
"target_id": "string",
"op": "upsert",
"values": {}
}